Bug 114832 - Filesave: "File name without Extension" and "Path" Fields saved as DOCX open as "File name" in Writer while correctly shown in Word
Summary: Filesave: "File name without Extension" and "Path" Fields saved as DOCX open ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-Fields
  Show dependency treegraph
 
Reported: 2018-01-04 10:25 UTC by Timur
Modified: 2019-01-11 03:54 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2018-01-04 10:25:55 UTC
This is DOCX bug for issue described in Bug 108459 which is for DOC.

Steps to reproduce: 
1. Open new file in writer 
2. "Insert | Field | More Fields : file name, file name without extension, path, path/file name
3. Save file in *.docx format and close 
4. Open same file in MSO Word and LO Writer 
Experienced: "File name" and "path/file name" fields saved by LO in DOCX open fine with LO while "file name without extension" and "path" don't. All 4 fields from that LO created DOCX open fine in MSO.
Expected: All 4 fields shown properly when open again with LO Writer.
Comment 1 Thomas Lendo 2018-01-10 21:23:46 UTC
Confirmed with Version: 6.1.0.0.alpha0+
Build-ID: acb43c0b8efbfb841e7b40603d75a8432eb21f21
CPU-Threads: 4; BS: Linux 4.10; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-01-09_01:20:44
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group threaded
Comment 2 QA Administrators 2019-01-11 03:54:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug